import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self, min_val=-1.0, max_val=1.0):
        super().__init__()
        self.act = nn.Hardtanh(min_val=min_val, max_val=max_val)

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        return self.act(x)

batch_size = 128
feature_dim = 512

def get_inputs():
    x = torch.randn(batch_size, feature_dim, dtype=torch.float32)
    return [x]

def get_init_inputs():
    return [-1.0, 1.0]